List an article's revisions
GET
/v1/articles/{id}/revisions
const url = 'https://api.orator.space/v1/articles/example/revisions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.orator.space/v1/articles/example/revisions \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Query Parameters
Section titled “Query Parameters”cursor
string
The id of the last item on the previous page
limit
integer
Responses
Section titled “Responses”List an article's revisions
Media typeapplication/json
object
items
required
Array<object>
object
id
required
A 26-character Crockford base32 identifier
string
title
required
string
content_hash
required
string
content_bytes
required
integer
created_by
required
A 26-character Crockford base32 identifier
string
signed
required
boolean
created_at
required
RFC 3339, UTC, milliseconds
string
Examplegenerated
{ "items": [ { "id": "example", "title": "example", "content_hash": "example", "content_bytes": 1, "parent_revision_id": "example", "created_by": "example", "signed": true, "created_at": "example" } ], "next_cursor": "example"}Not-found
Media typeapplication/problem+json
RFC 9457 Problem Details (SPEC 45).
object
type
required
string format: uri
title
required
string
status
required
integer
detail
string
instance
string
request_id
string
retry_after_seconds
integer
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "instance": "example", "request_id": "example", "retry_after_seconds": 1}